GET /api/v3/meterGroup/{groupId}/member

Gets a list of meter group members

GetMeterGroupMembersV3 Permissions: GroupsAndBenchmarksModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
groupId integer (int32) Required

Query Parameters

Name Description Type Required
alwaysLimitByTopmost boolean Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterGroupMemberChild
Property Description Type
active Indicates whether the Meter is Active Required (defined) boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
includeInCharts The flag determining whether the meter is included in group charts Required (defined) boolean
isCalculatedMeter Indicates whether the Meter is a calculated meter Required (defined) boolean
isSplitChildMeter Indicates whether the Meter is a child of a split Required (defined) boolean
isSplitParentMeter Indicates whether the Meter is a parent of a split Required (defined) boolean
meterCode The meter code Required (defined) string
meterId The meter identifier Required (defined) integer (int32)
meterInfo The meter info Required (defined) string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
Example Response application/json
[
  {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "includeInCharts": false,    "isCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterId": 1,    "meterInfo": "string",    "meterType": {      "meterTypeCode": "string",      "meterTypeId": 1,      "meterTypeInfo": "string"
    },    "place": {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    }
  }
]